Skip to main content
PATCH
/
v1
/
cards
/
cardholder
curl -X PATCH https://api.usenaive.ai/v1/cards/cardholder \
  -H "Authorization: Bearer nv_sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "billingLine1": "456 Market St",
    "billingCity": "San Francisco",
    "billingState": "CA",
    "billingPostalCode": "94107"
  }'
{
  "cardholder": {
    "id": "ich_1abc123",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john@acme.com",
    "phone": "+14155551234",
    "billingLine1": "456 Market St",
    "billingCity": "San Francisco",
    "billingState": "CA",
    "billingPostalCode": "94107",
    "billingCountry": "US",
    "type": "individual",
    "status": "active",
    "created_at": "2026-01-20T08:30:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Updates the existing cardholder profile. All fields are optional — only provided fields will be updated.

Request Body

ParameterTypeRequiredDescription
firstNamestringNoCardholder’s first name
lastNamestringNoCardholder’s last name
billingLine1stringNoBilling address line 1
billingCitystringNoBilling city
billingStatestringNoBilling state (2-letter code)
billingPostalCodestringNoBilling postal/ZIP code
billingCountrystringNoBilling country (2-letter ISO code)
emailstringNoCardholder’s email address
phonestringNoCardholder’s phone number
typestringNoCardholder type: individual or company
curl -X PATCH https://api.usenaive.ai/v1/cards/cardholder \
  -H "Authorization: Bearer nv_sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "billingLine1": "456 Market St",
    "billingCity": "San Francisco",
    "billingState": "CA",
    "billingPostalCode": "94107"
  }'
{
  "cardholder": {
    "id": "ich_1abc123",
    "firstName": "John",
    "lastName": "Doe",
    "email": "john@acme.com",
    "phone": "+14155551234",
    "billingLine1": "456 Market St",
    "billingCity": "San Francisco",
    "billingState": "CA",
    "billingPostalCode": "94107",
    "billingCountry": "US",
    "type": "individual",
    "status": "active",
    "created_at": "2026-01-20T08:30:00Z"
  }
}

CLI

naive cards update-cardholder
The CLI will prompt for fields to update interactively.

MCP

Tool: naive_cards_update_cardholder
{
  "billingLine1": "456 Market St",
  "billingCity": "San Francisco",
  "billingPostalCode": "94107"
}